=== debian/changelog ===
deepin-deb-installer (1.2.4-1) unstable; urgency=medium

  * Initial release (Closes: #871975)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 15 Mar 2018 16:16:47 +0800
