=== debian/control ===
Source: deepin-deb-installer
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
Build-Depends: debhelper (>= 11~), cmake, pkg-config, libqt5widgets5, libqt5concurrent5, libqapt-dev, libdtkwidget-dev, qttools5-dev-tools
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin/deepin-deb-installer
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer

Package: deepin-deb-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Deepin Package Manager
 Deepin Package Manager is a management tool for deb package, and is developed
 for users to easily install customized applications that are not categorized
 in Deepin Store. With an easy-to-use interface as well as functions like batch
 installation, version detection and auto-completion of dependencies, you can
 quickly get the software installed on deepin once you get the right deb
 package.
 .
 This package is part of DDE (Deepin Desktop Environment).
