## deepin-deb-installer 1.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -55,10 +55,6 @@
 install(FILES ${QM_FILES}
         DESTINATION share/deepin-deb-installer/translations)
 
-# install manual files
-install(DIRECTORY dmanual/
-        DESTINATION share/dman/deepin-deb-installer)
-
 # Install icons
 foreach (ICON_SIZE 16 24 32 48 64 96 128 256)
     install(FILES resources/images/deepin-deb-installer-${ICON_SIZE}px.svg
