=== debian/changelog ===
deepin-deb-installer (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * d/control: Add new uploader Yanhao Mo <yanhaocs@gmail.com>.
  * d/rules: Drop debian/deepin-deb-installer/usr/share/dman/ relevant part
    because the upstream doesn't produce that any more.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 22 Jul 2018 10:14:53 +0800

deepin-deb-installer (1.2.4-2) unstable; urgency=medium

  * Team upload.
  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * d/rules: Use "dh_missing --fail-missing".
  * Apply "wrap-and-sort -abst".
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 18:30:59 +0800
