=== debian/control ===
--- 
+++ 
@@ -4,15 +4,26 @@
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
-Build-Depends: debhelper (>= 11~), cmake, pkg-config, libqt5widgets5, libqt5concurrent5, libqapt-dev, libdtkwidget-dev, qttools5-dev-tools
-Standards-Version: 4.1.3
+ Yanhao Mo <yanhaocs@gmail.com>,
+Build-Depends:
+ cmake,
+ debhelper (>= 11~),
+ libdtkwidget-dev,
+ libqapt-dev,
+ libqt5concurrent5,
+ libqt5widgets5,
+ pkg-config,
+ qttools5-dev-tools,
+Standards-Version: 4.1.5
 Homepage: https://github.com/linuxdeepin/deepin-deb-installer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer
 
 Package: deepin-deb-installer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Deepin Package Manager
  Deepin Package Manager is a management tool for deb package, and is developed
  for users to easily install customized applications that are not categorized
