## deepin-deb-installer 1.2.9

=== debian/changelog ===
deepin-deb-installer (1.2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.9.
  * debian/control:
    + Bump Standards-Version to 4.2.1.
    + Build-depend on debhelper-compat (= 11) to replace old
      debian/compat file.
    + R³: Use Rules-Requires-Root: no.
    + Tighten up versioned build-dependency to libdtkwidget-dev to
      (>= 2.0.9.10~) to fix FTBFS.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Dec 2018 10:43:32 -0500
