=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  cmake,
- debhelper (>= 11~),
- libdtkwidget-dev,
+ debhelper-compat (= 11),
+ libdtkwidget-dev (>= 2.0.9.10~),
  libqapt-dev,
  libqt5concurrent5,
  libqt5widgets5,
  pkg-config,
  qttools5-dev-tools,
-Standards-Version: 4.1.5
+Rules-Requires-Root: no
+Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/deepin-deb-installer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer
