## deepin-deb-installer 1.3.0

=== debian/changelog ===
deepin-deb-installer (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Standards-Version: Bump to 4.3.0 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 25 Feb 2019 17:41:31 +0800
