=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  pkg-config,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/deepin-deb-installer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer
