## deepin-deb-installer 5.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,9 @@
 
     # generate qm files
     execute_process(COMMAND bash "translate_generation.sh"
+                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
+
+    execute_process(COMMAND bash "translate_ts2desktop.sh"
                     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 else ()
     set(CMAKE_CXX_COMPILER "clang++")
