=== debian/changelog ===
deepin-deb-installer (5.0.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:25 +0100

deepin-deb-installer (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.0.
  * debian/control: Bump Standards-Version to 4.4.0.
  * debian/control: Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Sep 2019 16:45:48 -0400
