=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  cmake,
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  libdtkwidget-dev (>= 2.0.9.10~),
  libqapt-dev,
  libqt5concurrent5,
@@ -15,7 +15,7 @@
  pkg-config,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/linuxdeepin/deepin-deb-installer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer
