=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 export QT_SELECT := 5
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 
 %:
