## deepin-deb-installer 5.6.0.19

=== debian/changelog ===
deepin-deb-installer (5.6.0.19-1) unstable; urgency=medium

  [ Clay Stan ]
  * New upstream version 5.6.0.19.
  * debian/control:
    + Add Clay Stan to Uploaders list.
    + Updated Build dependencies.
    + Bump debhelper compat to v13.

  [ Arun Kumar Pariyar ]
  * debian/control:
    + Set build dependency libdtkwidget-dev to (>=5.2~).
    + Bump Standards-Version to 4.5.1.
    + Add Arun Kumar Pariyar to Uploaders list.
  * debian/copyright:
    + Add Upstream-Contact.
    + Update copyright license information.
  * Add deepin-deb-installer-dependsInstall to lintian-overrides.
  * debian/rules: Update to ensure proper build.
  * debian/patches:
    + Add patch to fix keywords missing in desktop file.
    + Add patch to fix build with Qt 5.15+.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 06 Dec 2020 18:19:29 +0545
