=== debian/control ===
--- 
+++ 
@@ -5,17 +5,20 @@
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Clay Stan <claystan97@gmail.com>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
- cmake,
- debhelper-compat (= 12),
- libdtkwidget-dev (>= 2.0.9.10~),
+ debhelper-compat (= 13),
+ libdtkwidget-dev (>=5.2~),
  libqapt-dev,
  libqt5concurrent5,
  libqt5widgets5,
  pkg-config,
+ qt5-qmake,
+ qtbase5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/deepin-deb-installer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer
@@ -23,6 +26,7 @@
 Package: deepin-deb-installer
 Architecture: any
 Depends:
+ libqapt3-runtime,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Deepin Package Manager
