=== debian/changelog ===
deepin-deb-installer (5.7.0.39-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Mar 2021 09:42:33 +0800

deepin-deb-installer (5.3.9) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 11 Oct 2017 17:38:35 +0800
