## deepin-deb-installer 5.8.1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -43,14 +43,29 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
-set(CMAKE_CXX_FLAGS "-Wl,--as-need -fPIE")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-need -fPIE")
 set(CMAKE_EXE_LINKER_FLAGS "-pie")
-#set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
-#set(CMAKE_C_FLAGS "-g -fprofile-arcs -ftest-coverage")
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
 
 if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
 endif ()
+
+set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
+
+if(CMAKE_SAFETYTEST STREQUAL "")
+    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
+endif()
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
+
+if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
+  #安全测试选项
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
+endif()
 
 #compile flags
 if (CMAKE_BUILD_TYPE MATCHES Debug)
@@ -59,6 +74,7 @@
 
   # Enable Qt builtin debug mode
   add_definitions("-DQT_MESSAGELOGCONTEXT")
+
 else()
   # -Wl, -O2 Enable linker optimizations
   # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
@@ -89,6 +105,7 @@
 find_package(DtkGui REQUIRED)
 find_package(DtkCore REQUIRED)
 find_package(Qt5DBus REQUIRED)
+find_package(Qt5Test REQUIRED)
 set(LINK_LIBS
     Qt5::Core
     Qt5::Widgets
@@ -112,9 +129,9 @@
     set(${result} ${dirlist})
 endmacro()
 
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src/deb_installer/)
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src/deb-installer)
 
-SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/../src/deb_installer/)
+SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/../src/deb-installer/)
 
 #Include all app own subdirectorys
 foreach(subdir ${all_src})
@@ -122,12 +139,12 @@
 endforeach()
 
 file(GLOB_RECURSE APP_SRCS
-    ${CMAKE_CURRENT_LIST_DIR}/../src/deb_installer/singleInstallerApplication.cpp
-    ${CMAKE_CURRENT_LIST_DIR}/../src/deb_installer/manager/*.cpp
-    ${CMAKE_CURRENT_LIST_DIR}/../src/deb_installer/model/*.cpp
-    ${CMAKE_CURRENT_LIST_DIR}/../src/deb_installer/utils/*.cpp
-    ${CMAKE_CURRENT_LIST_DIR}/../src/deb_installer/view/pages/*.cpp
-    ${CMAKE_CURRENT_LIST_DIR}/../src/deb_installer/view/widgets/*.cpp
+    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/singleInstallerApplication.cpp
+    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/manager/*.cpp
+    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/model/*.cpp
+    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/utils/*.cpp
+    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/view/pages/*.cpp
+    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/view/widgets/*.cpp
     )
 FILE(GLOB allTestSource
   src/*.cpp
@@ -138,7 +155,7 @@
   src/view/widgets/*.cpp
 )
 include_directories(src)
-include_directories( ${CMAKE_CURRENT_LIST_DIR}/../src/deb_installer/)
+include_directories( ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/)
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
 
 # Tell CMake to create the executable
@@ -154,6 +171,7 @@
     Qt5::Gui
     Qt5::DBus
     QApt
+    Qt5::Test
     Qt5::Concurrent
     ${DtkWidget_LIBRARIES}
     ${DtkCore_LIBRARIES}
