=== debian/changelog ===
deepin-deb-installer (5.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.8.1.
  * debian/rules: Force non-parallel build to fit low-memory buildd
    architectures like mipsel.
  * debian/patches: Refresh patches.
    + Add patch to fix missing unistd.h header in PackageStatus.cpp.
  * debian/control: Add new build-dependency deepin-gettext-tools.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Nov 2021 13:49:52 -0500

deepin-deb-installer (5.7.0.17-1) unstable; urgency=medium

  * Team upload.

  [ Clay Stan ]
  * New upstream version 5.7.0.17.

  [ Boyuan Yang ]
  * debian/control: Drop Yangfl from uploaders list as requested.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Update build-dependency list.
  * debian/patches: Disable patches for now, non-standard googletest
    is needed.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Nov 2021 00:01:55 -0500
