=== debian/control ===
--- 
+++ 
@@ -3,22 +3,23 @@
 Priority: optional
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
- Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
  Clay Stan <claystan97@gmail.com>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- libdtkwidget-dev (>=5.2~),
+ deepin-gettext-tools,
+ libdtkwidget-dev (>= 5.5.17~),
  libqapt-dev,
  libqt5concurrent5,
  libqt5widgets5,
  pkg-config,
- qt5-qmake,
  qtbase5-dev,
+ qttools5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/linuxdeepin/deepin-deb-installer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer
