=== debian/changelog ===
deepin-deb-installer (5.8.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 20 Jan 2022 11:23:38 +0800
