=== debian/changelog ===
deepin-deb-installer (5.8.19-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 May 2022 10:21:54 +0800
